PAW-DEMOS(1)

NAME
paw-demos - run PAW demonstrations

SYNOPSIS
paw-demos [options] [example_num [test_num]]

DESCRIPTION

paw-demos is a script to run the demonstrations of PAW in the paw-demos package. It will create a demo directory (by default $HOME/paw-demos), copy the demos from /usr/share/paw-demos to this directory, and run them. Both examples and tests are available.

example_num is the number of the example to start with; examples are skipped if example_num > 31. test_num is the number of the test to start with; tests are skipped if test_num > 8. Note that the first example is numbered 1 but the first test is numbered 0.

OPTIONS

--batch
    Run demos in batch mode; output to PostScript. The resulting output files are placed into a "linux" subdirectory of the demo directory.

--clean
    Clean the demo directory given by the --dir option (or the default directory if --dir is not given). This option causes example_num, test_num, --batch, and --driver to be ignored.

--dir dir
    Specify the directory in which to run the PAW demos, relative to $HOME. If it does not already exist, it will be created and the demos copied to it from the directory /usr/share/doc/paw-demos/examples. The default is $HOME/paw-demos.

--display display
    Specify the display to use. The default is the current value of the $DISPLAY environment variable.

--driver driver
    Specify a graphics driver. Available options are "X11" for pawX11 and "++" for paw++.

--help
    Show a summary of options.

FILES

/usr/share/paw-demos contains the PAW demonstrations.
$HOME/paw-demos is the default directory in which to run the demos.

SEE ALSO

paw(1), paw++(1)

AUTHOR
This manual page and the paw-demos script that it describes were written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). The demos themselves were written by various PAW contributors.

COPYRIGHT
(C) Copyright Kevin McCarty, 2003.